/*
 * Mach Operating System
 * Copyright (c) 1991 Carnegie Mellon University
 * Copyright (c) 1991 OMRON Corporation
 * All Rights Reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 *
 * CARNEGIE MELLON AND OMRON ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON AND OMRON DISCLAIM ANY LIABILITY OF ANY KIND
 * FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * Carnegie Mellon requests users of this software to return to
 *
 *  Software Distribution Coordinator  or  Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 *
 * any improvements or extensions that they make and grant Carnegie the
 * rights to redistribute these changes.
 */
/*
 * Uart (on the CPU board) driver header
 */

#ifndef _amiga_uart_
#define _amiga_uart_


extern struct conssw conssw;

#define	ON	1
#define	OFF	0

#define	TTIPRI	28
#define	TTOPRI	29

/* seems this is nowhere defined in the system headers.. do it here */
#define SERDATRF_OVRUN	(1<<15)
#define SERDATRF_RBF	(1<<14)
#define SERDATRF_TBE	(1<<13)
#define SERDATRF_TSRE	(1<<12)
#define SERDATRF_RXD	(1<<11)
#define SERDATRF_RSVD	(1<<10)
#define SERDATRF_STP2	(1<<9)
#define SERDATRF_STP1	(1<<8)


/* Special routines used by the kernel to perform polled I/O */
void kd_cnputc(int c);
int kd_cnpollc(void);

#endif _amiga_uart_
